Index: uspace/lib/drv/generic/remote_nic.c
===================================================================
--- uspace/lib/drv/generic/remote_nic.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ uspace/lib/drv/generic/remote_nic.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -101,12 +101,12 @@
 {
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_SEND_MESSAGE, &answer);
 	errno_t retval = async_data_write_start(exch, data, size);
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	if (retval != EOK) {
 		async_forget(req);
@@ -132,9 +132,9 @@
 	errno_t rc;
 	errno_t retval;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	aid_t req = async_send_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_CALLBACK_CREATE, &answer);
-	
+
 	port_id_t port;
 	rc = async_create_callback_port(exch, INTERFACE_NIC_CB, 0, 0,
@@ -145,5 +145,5 @@
 	}
 	async_exchange_end(exch);
-	
+
 	async_wait_for(req, &retval);
 	return retval;
@@ -161,14 +161,14 @@
 {
 	assert(state);
-	
+
 	sysarg_t _state;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_GET_STATE, &_state);
 	async_exchange_end(exch);
-	
+
 	*state = (nic_device_state_t) _state;
-	
+
 	return rc;
 }
@@ -188,5 +188,5 @@
 	    NIC_SET_STATE, state);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -203,5 +203,5 @@
 {
 	assert(address);
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	aid_t aid = async_send_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
@@ -209,11 +209,11 @@
 	errno_t rc = async_data_read_start(exch, address, sizeof(nic_address_t));
 	async_exchange_end(exch);
-	
+
 	errno_t res;
 	async_wait_for(aid, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -230,5 +230,5 @@
 {
 	assert(address);
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	aid_t aid = async_send_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
@@ -236,11 +236,11 @@
 	errno_t rc = async_data_write_start(exch, address, sizeof(nic_address_t));
 	async_exchange_end(exch);
-	
+
 	errno_t res;
 	async_wait_for(aid, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -257,7 +257,7 @@
 {
 	assert(stats);
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	errno_t rc = async_req_1_0(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_GET_STATS);
@@ -266,9 +266,9 @@
 		return rc;
 	}
-	
+
 	rc = async_data_read_start(exch, stats, sizeof(nic_device_stats_t));
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	return rc;
 }
@@ -287,7 +287,7 @@
 {
 	assert(device_info);
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	aid_t aid = async_send_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_GET_DEVICE_INFO, NULL);
@@ -297,8 +297,8 @@
 	errno_t res;
 	async_wait_for(aid, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -315,14 +315,14 @@
 {
 	assert(cable_state);
-	
+
 	sysarg_t _cable_state;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_GET_CABLE_STATE, &_cable_state);
 	async_exchange_end(exch);
-	
+
 	*cable_state = (nic_cable_state_t) _cable_state;
-	
+
 	return rc;
 }
@@ -344,19 +344,19 @@
 	sysarg_t _duplex;
 	sysarg_t _role;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_3(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_GET_OPERATION_MODE, &_speed, &_duplex, &_role);
 	async_exchange_end(exch);
-	
+
 	if (speed)
 		*speed = (int) _speed;
-	
+
 	if (duplex)
 		*duplex = (nic_channel_mode_t) _duplex;
-	
+
 	if (role)
 		*role = (nic_role_t) _role;
-	
+
 	return rc;
 }
@@ -383,5 +383,5 @@
 	    (sysarg_t) role);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -406,5 +406,5 @@
 	    NIC_AUTONEG_ENABLE, (sysarg_t) advertisement);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -423,5 +423,5 @@
 	    NIC_AUTONEG_DISABLE);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -452,5 +452,5 @@
 	sysarg_t _result;
 	sysarg_t _their_result;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_4(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
@@ -458,17 +458,17 @@
 	    &_result, &_their_result);
 	async_exchange_end(exch);
-	
+
 	if (our_advertisement)
 		*our_advertisement = (uint32_t) _our_advertisement;
-	
+
 	if (*their_advertisement)
 		*their_advertisement = (uint32_t) _their_advertisement;
-	
+
 	if (result)
 		*result = (nic_result_t) _result;
-	
+
 	if (their_result)
 		*their_result = (nic_result_t) _their_result;
-	
+
 	return rc;
 }
@@ -487,5 +487,5 @@
 	    NIC_AUTONEG_RESTART);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -507,19 +507,19 @@
 	sysarg_t _we_receive;
 	sysarg_t _pause;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_3(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_GET_PAUSE, &_we_send, &_we_receive, &_pause);
 	async_exchange_end(exch);
-	
+
 	if (we_send)
 		*we_send = _we_send;
-	
+
 	if (we_receive)
 		*we_receive = _we_receive;
-	
+
 	if (pause)
 		*pause = _pause;
-	
+
 	return rc;
 }
@@ -546,5 +546,5 @@
 	    NIC_SET_PAUSE, allow_send, allow_receive, pause);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -570,13 +570,13 @@
 {
 	assert(mode);
-	
+
 	sysarg_t _mode;
 	sysarg_t _address_count;
-	
+
 	if (!address_list)
 		max_count = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	errno_t rc = async_req_2_2(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_UNICAST_GET_MODE, max_count, &_mode, &_address_count);
@@ -585,15 +585,15 @@
 		return rc;
 	}
-	
+
 	*mode = (nic_unicast_mode_t) _mode;
 	if (address_count)
 		*address_count = (size_t) _address_count;
-	
+
 	if ((max_count) && (_address_count))
 		rc = async_data_read_start(exch, address_list,
 		    max_count * sizeof(nic_address_t));
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	return rc;
 }
@@ -614,10 +614,10 @@
 	if (address_list == NULL)
 		address_count = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	aid_t message_id = async_send_3(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_UNICAST_SET_MODE, (sysarg_t) mode, address_count, NULL);
-	
+
 	errno_t rc;
 	if (address_count)
@@ -626,13 +626,13 @@
 	else
 		rc = EOK;
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	errno_t res;
 	async_wait_for(message_id, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -659,12 +659,12 @@
 {
 	assert(mode);
-	
+
 	sysarg_t _mode;
-	
+
 	if (!address_list)
 		max_count = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	sysarg_t ac;
 	errno_t rc = async_req_2_2(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
@@ -674,13 +674,13 @@
 		return rc;
 	}
-	
+
 	*mode = (nic_multicast_mode_t) _mode;
 	if (address_count)
 		*address_count = (size_t) ac;
-	
+
 	if ((max_count) && (ac))
 		rc = async_data_read_start(exch, address_list,
 		    max_count * sizeof(nic_address_t));
-	
+
 	async_exchange_end(exch);
 	return rc;
@@ -702,10 +702,10 @@
 	if (address_list == NULL)
 		address_count = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	aid_t message_id = async_send_3(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_MULTICAST_SET_MODE, (sysarg_t) mode, address_count, NULL);
-	
+
 	errno_t rc;
 	if (address_count)
@@ -714,13 +714,13 @@
 	else
 		rc = EOK;
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	errno_t res;
 	async_wait_for(message_id, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -737,14 +737,14 @@
 {
 	assert(mode);
-	
+
 	sysarg_t _mode;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_BROADCAST_GET_MODE, &_mode);
 	async_exchange_end(exch);
-	
+
 	*mode = (nic_broadcast_mode_t) _mode;
-	
+
 	return rc;
 }
@@ -764,5 +764,5 @@
 	    NIC_BROADCAST_SET_MODE, mode);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -779,14 +779,14 @@
 {
 	assert(mode);
-	
+
 	sysarg_t _mode;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_DEFECTIVE_GET_MODE, &_mode);
 	async_exchange_end(exch);
-	
+
 	*mode = (uint32_t) _mode;
-	
+
 	return rc;
 }
@@ -806,5 +806,5 @@
 	    NIC_DEFECTIVE_SET_MODE, mode);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -827,7 +827,7 @@
 	if (!address_list)
 		max_count = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	sysarg_t ac;
 	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
@@ -837,12 +837,12 @@
 		return rc;
 	}
-	
+
 	if (address_count)
 		*address_count = (size_t) ac;
-	
+
 	if ((max_count) && (ac))
 		rc = async_data_read_start(exch, address_list,
 		    max_count * sizeof(nic_address_t));
-	
+
 	async_exchange_end(exch);
 	return rc;
@@ -863,10 +863,10 @@
 	if (address_list == NULL)
 		address_count = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	aid_t message_id = async_send_2(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_BLOCKED_SOURCES_SET, address_count, NULL);
-	
+
 	errno_t rc;
 	if (address_count)
@@ -875,13 +875,13 @@
 	else
 		rc = EOK;
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	errno_t res;
 	async_wait_for(message_id, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -898,5 +898,5 @@
 {
 	assert(mask);
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_0(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
@@ -906,8 +906,8 @@
 		return rc;
 	}
-	
+
 	rc = async_data_read_start(exch, mask, sizeof(nic_vlan_mask_t));
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -926,8 +926,8 @@
 {
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	aid_t message_id = async_send_2(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_VLAN_SET_MASK, mask != NULL, NULL);
-	
+
 	errno_t rc;
 	if (mask != NULL)
@@ -935,13 +935,13 @@
 	else
 		rc = EOK;
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	errno_t res;
 	async_wait_for(message_id, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -969,5 +969,5 @@
 	    NIC_VLAN_SET_TAG, (sysarg_t) tag, (sysarg_t) add, (sysarg_t) strip);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -989,12 +989,12 @@
 {
 	assert(id);
-	
+
 	bool send_data = ((data != NULL) && (length != 0));
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	ipc_call_t result;
 	aid_t message_id = async_send_3(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_WOL_VIRTUE_ADD, (sysarg_t) type, send_data, &result);
-	
+
 	errno_t res;
 	if (send_data) {
@@ -1006,8 +1006,8 @@
 		}
 	}
-	
+
 	async_exchange_end(exch);
 	async_wait_for(message_id, &res);
-	
+
 	*id = IPC_GET_ARG1(result);
 	return res;
@@ -1028,5 +1028,5 @@
 	    NIC_WOL_VIRTUE_REMOVE, (sysarg_t) id);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -1050,10 +1050,10 @@
 	sysarg_t _type;
 	sysarg_t _length;
-	
+
 	if (data == NULL)
 		max_length = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	errno_t rc = async_req_3_2(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_WOL_VIRTUE_PROBE, (sysarg_t) id, max_length,
@@ -1063,14 +1063,14 @@
 		return rc;
 	}
-	
+
 	if (type)
 		*type = _type;
-	
+
 	if (length)
 		*length = _length;
-	
+
 	if ((max_length) && (_length != 0))
 		rc = async_data_read_start(exch, data, max_length);
-	
+
 	async_exchange_end(exch);
 	return rc;
@@ -1100,22 +1100,22 @@
 	if (id_list == NULL)
 		max_count = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	sysarg_t count;
 	errno_t rc = async_req_3_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_WOL_VIRTUE_LIST, (sysarg_t) type, max_count, &count);
-	
+
 	if (id_count)
 		*id_count = (size_t) count;
-	
+
 	if ((rc != EOK) || (!max_count)) {
 		async_exchange_end(exch);
 		return rc;
 	}
-	
+
 	rc = async_data_read_start(exch, id_list,
 	    max_count * sizeof(nic_wv_id_t));
-	
+
 	async_exchange_end(exch);
 	return rc;
@@ -1139,12 +1139,12 @@
 {
 	assert(count);
-	
+
 	sysarg_t _count;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_WOL_VIRTUE_GET_CAPS, (sysarg_t) type, &_count);
 	async_exchange_end(exch);
-	
+
 	*count = (int) _count;
 	return rc;
@@ -1177,13 +1177,13 @@
 {
 	assert(matched_type);
-	
+
 	sysarg_t _matched_type;
 	sysarg_t _frame_length;
-	
+
 	if (frame == NULL)
 		max_length = 0;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	errno_t rc = async_req_2_2(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_WOL_LOAD_INFO, max_length, &_matched_type, &_frame_length);
@@ -1192,12 +1192,12 @@
 		return rc;
 	}
-	
+
 	*matched_type = (nic_wv_type_t) _matched_type;
 	if (frame_length)
 		*frame_length = (size_t) _frame_length;
-	
+
 	if ((max_length != 0) && (_frame_length != 0))
 		rc = async_data_read_start(exch, frame, max_length);
-	
+
 	async_exchange_end(exch);
 	return rc;
@@ -1218,13 +1218,13 @@
 	assert(supported);
 	assert(active);
-	
+
 	sysarg_t _supported;
 	sysarg_t _active;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
 	errno_t rc = async_req_1_2(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_OFFLOAD_PROBE, &_supported, &_active);
 	async_exchange_end(exch);
-	
+
 	*supported = (uint32_t) _supported;
 	*active = (uint32_t) _active;
@@ -1247,5 +1247,5 @@
 	    NIC_AUTONEG_RESTART, (sysarg_t) mask, (sysarg_t) active);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -1265,9 +1265,9 @@
 {
 	assert(mode);
-	
+
 	sysarg_t _mode;
-	
-	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
+	async_exch_t *exch = async_exchange_begin(dev_sess);
+
 	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_POLL_GET_MODE, period != NULL, &_mode);
@@ -1276,10 +1276,10 @@
 		return rc;
 	}
-	
+
 	*mode = (nic_poll_mode_t) _mode;
-	
+
 	if (period != NULL)
 		rc = async_data_read_start(exch, period, sizeof(struct timeval));
-	
+
 	async_exchange_end(exch);
 	return rc;
@@ -1299,8 +1299,8 @@
 {
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	aid_t message_id = async_send_3(exch, DEV_IFACE_ID(NIC_DEV_IFACE),
 	    NIC_POLL_SET_MODE, (sysarg_t) mode, period != NULL, NULL);
-	
+
 	errno_t rc;
 	if (period)
@@ -1308,13 +1308,13 @@
 	else
 		rc = EOK;
-	
-	async_exchange_end(exch);
-	
+
+	async_exchange_end(exch);
+
 	errno_t res;
 	async_wait_for(message_id, &res);
-	
+
 	if (rc != EOK)
 		return rc;
-	
+
 	return res;
 }
@@ -1332,5 +1332,5 @@
 	errno_t rc = async_req_1_0(exch, DEV_IFACE_ID(NIC_DEV_IFACE), NIC_POLL_NOW);
 	async_exchange_end(exch);
-	
+
 	return rc;
 }
@@ -1341,9 +1341,9 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	assert(nic_iface->send_frame);
-	
+
 	void *data;
 	size_t size;
 	errno_t rc;
-	
+
 	rc = async_data_write_accept(&data, false, 0, 0, 0, &size);
 	if (rc != EOK) {
@@ -1351,5 +1351,5 @@
 		return;
 	}
-	
+
 	rc = nic_iface->send_frame(dev, data, size);
 	async_answer_0(callid, rc);
@@ -1362,5 +1362,5 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	assert(nic_iface->callback_create);
-	
+
 	errno_t rc = nic_iface->callback_create(dev);
 	async_answer_0(callid, rc);
@@ -1372,7 +1372,7 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	assert(nic_iface->get_state);
-	
+
 	nic_device_state_t state = NIC_STATE_MAX;
-	
+
 	errno_t rc = nic_iface->get_state(dev, &state);
 	async_answer_1(callid, rc, state);
@@ -1384,7 +1384,7 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	assert(nic_iface->set_state);
-	
+
 	nic_device_state_t state = (nic_device_state_t) IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = nic_iface->set_state(dev, state);
 	async_answer_0(callid, rc);
@@ -1396,13 +1396,13 @@
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	assert(nic_iface->get_address);
-	
+
 	nic_address_t address;
 	memset(&address, 0, sizeof(nic_address_t));
-	
+
 	errno_t rc = nic_iface->get_address(dev, &address);
 	if (rc == EOK) {
 		size_t max_len;
 		ipc_callid_t data_callid;
-		
+
 		/* All errors will be translated into EPARTY anyway */
 		if (!async_data_read_receive(&data_callid, &max_len)) {
@@ -1411,5 +1411,5 @@
 			return;
 		}
-		
+
 		if (max_len != sizeof(nic_address_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -1417,9 +1417,9 @@
 			return;
 		}
-		
+
 		async_data_read_finalize(data_callid, &address,
 		    sizeof(nic_address_t));
 	}
-	
+
 	async_answer_0(callid, rc);
 }
@@ -1429,5 +1429,5 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	size_t length;
 	ipc_callid_t data_callid;
@@ -1437,5 +1437,5 @@
 		return;
 	}
-	
+
 	if (length > sizeof(nic_address_t)) {
 		async_answer_0(data_callid, ELIMIT);
@@ -1443,5 +1443,5 @@
 		return;
 	}
-	
+
 	nic_address_t address;
 	if (async_data_write_finalize(data_callid, &address, length) != EOK) {
@@ -1449,5 +1449,5 @@
 		return;
 	}
-	
+
 	if (nic_iface->set_address != NULL) {
 		errno_t rc = nic_iface->set_address(dev, &address);
@@ -1465,8 +1465,8 @@
 		return;
 	}
-	
+
 	nic_device_stats_t stats;
 	memset(&stats, 0, sizeof(nic_device_stats_t));
-	
+
 	errno_t rc = nic_iface->get_stats(dev, &stats);
 	if (rc == EOK) {
@@ -1478,5 +1478,5 @@
 			return;
 		}
-		
+
 		if (max_len < sizeof(nic_device_stats_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -1484,9 +1484,9 @@
 			return;
 		}
-		
+
 		async_data_read_finalize(data_callid, &stats,
 		    sizeof(nic_device_stats_t));
 	}
-	
+
 	async_answer_0(callid, rc);
 }
@@ -1500,8 +1500,8 @@
 		return;
 	}
-	
+
 	nic_device_info_t info;
 	memset(&info, 0, sizeof(nic_device_info_t));
-	
+
 	errno_t rc = nic_iface->get_device_info(dev, &info);
 	if (rc == EOK) {
@@ -1513,5 +1513,5 @@
 			return;
 		}
-		
+
 		if (max_len < sizeof (nic_device_info_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -1519,9 +1519,9 @@
 			return;
 		}
-		
+
 		async_data_read_finalize(data_callid, &info,
 		    sizeof(nic_device_info_t));
 	}
-	
+
 	async_answer_0(callid, rc);
 }
@@ -1535,7 +1535,7 @@
 		return;
 	}
-	
+
 	nic_cable_state_t cs = NIC_CS_UNKNOWN;
-	
+
 	errno_t rc = nic_iface->get_cable_state(dev, &cs);
 	async_answer_1(callid, rc, (sysarg_t) cs);
@@ -1550,9 +1550,9 @@
 		return;
 	}
-	
+
 	int speed = 0;
 	nic_channel_mode_t duplex = NIC_CM_UNKNOWN;
 	nic_role_t role = NIC_ROLE_UNKNOWN;
-	
+
 	errno_t rc = nic_iface->get_operation_mode(dev, &speed, &duplex, &role);
 	async_answer_3(callid, rc, (sysarg_t) speed, (sysarg_t) duplex,
@@ -1568,9 +1568,9 @@
 		return;
 	}
-	
+
 	int speed = (int) IPC_GET_ARG2(*call);
 	nic_channel_mode_t duplex = (nic_channel_mode_t) IPC_GET_ARG3(*call);
 	nic_role_t role = (nic_role_t) IPC_GET_ARG4(*call);
-	
+
 	errno_t rc = nic_iface->set_operation_mode(dev, speed, duplex, role);
 	async_answer_0(callid, rc);
@@ -1585,7 +1585,7 @@
 		return;
 	}
-	
+
 	uint32_t advertisement = (uint32_t) IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = nic_iface->autoneg_enable(dev, advertisement);
 	async_answer_0(callid, rc);
@@ -1600,5 +1600,5 @@
 		return;
 	}
-	
+
 	errno_t rc = nic_iface->autoneg_disable(dev);
 	async_answer_0(callid, rc);
@@ -1613,10 +1613,10 @@
 		return;
 	}
-	
+
 	uint32_t our_adv = 0;
 	uint32_t their_adv = 0;
 	nic_result_t result = NIC_RESULT_NOT_AVAILABLE;
 	nic_result_t their_result = NIC_RESULT_NOT_AVAILABLE;
-	
+
 	errno_t rc = nic_iface->autoneg_probe(dev, &our_adv, &their_adv, &result,
 	    &their_result);
@@ -1633,5 +1633,5 @@
 		return;
 	}
-	
+
 	errno_t rc = nic_iface->autoneg_restart(dev);
 	async_answer_0(callid, rc);
@@ -1646,9 +1646,9 @@
 		return;
 	}
-	
+
 	nic_result_t we_send;
 	nic_result_t we_receive;
 	uint16_t pause;
-	
+
 	errno_t rc = nic_iface->get_pause(dev, &we_send, &we_receive, &pause);
 	async_answer_3(callid, rc, we_send, we_receive, pause);
@@ -1663,9 +1663,9 @@
 		return;
 	}
-	
+
 	int allow_send = (int) IPC_GET_ARG2(*call);
 	int allow_receive = (int) IPC_GET_ARG3(*call);
 	uint16_t pause = (uint16_t) IPC_GET_ARG4(*call);
-	
+
 	errno_t rc = nic_iface->set_pause(dev, allow_send, allow_receive,
 	    pause);
@@ -1681,8 +1681,8 @@
 		return;
 	}
-	
+
 	size_t max_count = IPC_GET_ARG2(*call);
 	nic_address_t *address_list = NULL;
-	
+
 	if (max_count != 0) {
 		address_list = malloc(max_count * sizeof (nic_address_t));
@@ -1692,12 +1692,12 @@
 		}
 	}
-	
+
 	memset(address_list, 0, max_count * sizeof(nic_address_t));
 	nic_unicast_mode_t mode = NIC_UNICAST_DEFAULT;
 	size_t address_count = 0;
-	
+
 	errno_t rc = nic_iface->unicast_get_mode(dev, &mode, max_count, address_list,
 	    &address_count);
-	
+
 	if ((rc != EOK) || (max_count == 0) || (address_count == 0)) {
 		free(address_list);
@@ -1705,5 +1705,5 @@
 		return;
 	}
-	
+
 	ipc_callid_t data_callid;
 	size_t max_len;
@@ -1714,14 +1714,14 @@
 		return;
 	}
-	
+
 	if (max_len > address_count * sizeof(nic_address_t))
 		max_len = address_count * sizeof(nic_address_t);
-	
+
 	if (max_len > max_count * sizeof(nic_address_t))
 		max_len = max_count * sizeof(nic_address_t);
-	
+
 	async_data_read_finalize(data_callid, address_list, max_len);
 	async_answer_0(data_callid, EINVAL);
-	
+
 	free(address_list);
 	async_answer_2(callid, rc, mode, address_count);
@@ -1732,10 +1732,10 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	size_t length;
 	nic_unicast_mode_t mode = IPC_GET_ARG2(*call);
 	size_t address_count = IPC_GET_ARG3(*call);
 	nic_address_t *address_list = NULL;
-	
+
 	if (address_count) {
 		ipc_callid_t data_callid;
@@ -1745,5 +1745,5 @@
 			return;
 		}
-		
+
 		if (length != address_count * sizeof(nic_address_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -1751,5 +1751,5 @@
 			return;
 		}
-		
+
 		address_list = malloc(length);
 		if (address_list == NULL) {
@@ -1758,5 +1758,5 @@
 			return;
 		}
-		
+
 		if (async_data_write_finalize(data_callid, address_list,
 		    length) != EOK) {
@@ -1766,5 +1766,5 @@
 		}
 	}
-	
+
 	if (nic_iface->unicast_set_mode != NULL) {
 		errno_t rc = nic_iface->unicast_set_mode(dev, mode, address_list,
@@ -1773,5 +1773,5 @@
 	} else
 		async_answer_0(callid, ENOTSUP);
-	
+
 	free(address_list);
 }
@@ -1785,8 +1785,8 @@
 		return;
 	}
-	
+
 	size_t max_count = IPC_GET_ARG2(*call);
 	nic_address_t *address_list = NULL;
-	
+
 	if (max_count != 0) {
 		address_list = malloc(max_count * sizeof(nic_address_t));
@@ -1796,13 +1796,13 @@
 		}
 	}
-	
+
 	memset(address_list, 0, max_count * sizeof(nic_address_t));
 	nic_multicast_mode_t mode = NIC_MULTICAST_BLOCKED;
 	size_t address_count = 0;
-	
+
 	errno_t rc = nic_iface->multicast_get_mode(dev, &mode, max_count, address_list,
 	    &address_count);
-	
-	
+
+
 	if ((rc != EOK) || (max_count == 0) || (address_count == 0)) {
 		free(address_list);
@@ -1810,5 +1810,5 @@
 		return;
 	}
-	
+
 	ipc_callid_t data_callid;
 	size_t max_len;
@@ -1819,13 +1819,13 @@
 		return;
 	}
-	
+
 	if (max_len > address_count * sizeof(nic_address_t))
 		max_len = address_count * sizeof(nic_address_t);
-	
+
 	if (max_len > max_count * sizeof(nic_address_t))
 		max_len = max_count * sizeof(nic_address_t);
-	
+
 	async_data_read_finalize(data_callid, address_list, max_len);
-	
+
 	free(address_list);
 	async_answer_2(callid, rc, mode, address_count);
@@ -1836,9 +1836,9 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	nic_multicast_mode_t mode = IPC_GET_ARG2(*call);
 	size_t address_count = IPC_GET_ARG3(*call);
 	nic_address_t *address_list = NULL;
-	
+
 	if (address_count) {
 		ipc_callid_t data_callid;
@@ -1849,5 +1849,5 @@
 			return;
 		}
-		
+
 		if (length != address_count * sizeof (nic_address_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -1855,5 +1855,5 @@
 			return;
 		}
-		
+
 		address_list = malloc(length);
 		if (address_list == NULL) {
@@ -1862,5 +1862,5 @@
 			return;
 		}
-		
+
 		if (async_data_write_finalize(data_callid, address_list,
 		    length) != EOK) {
@@ -1870,5 +1870,5 @@
 		}
 	}
-	
+
 	if (nic_iface->multicast_set_mode != NULL) {
 		errno_t rc = nic_iface->multicast_set_mode(dev, mode, address_list,
@@ -1877,5 +1877,5 @@
 	} else
 		async_answer_0(callid, ENOTSUP);
-	
+
 	free(address_list);
 }
@@ -1889,7 +1889,7 @@
 		return;
 	}
-	
+
 	nic_broadcast_mode_t mode = NIC_BROADCAST_ACCEPTED;
-	
+
 	errno_t rc = nic_iface->broadcast_get_mode(dev, &mode);
 	async_answer_1(callid, rc, mode);
@@ -1904,7 +1904,7 @@
 		return;
 	}
-	
+
 	nic_broadcast_mode_t mode = IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = nic_iface->broadcast_set_mode(dev, mode);
 	async_answer_0(callid, rc);
@@ -1919,7 +1919,7 @@
 		return;
 	}
-	
+
 	uint32_t mode = 0;
-	
+
 	errno_t rc = nic_iface->defective_get_mode(dev, &mode);
 	async_answer_1(callid, rc, mode);
@@ -1934,7 +1934,7 @@
 		return;
 	}
-	
+
 	uint32_t mode = IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = nic_iface->defective_set_mode(dev, mode);
 	async_answer_0(callid, rc);
@@ -1949,8 +1949,8 @@
 		return;
 	}
-	
+
 	size_t max_count = IPC_GET_ARG2(*call);
 	nic_address_t *address_list = NULL;
-	
+
 	if (max_count != 0) {
 		address_list = malloc(max_count * sizeof(nic_address_t));
@@ -1960,11 +1960,11 @@
 		}
 	}
-	
+
 	memset(address_list, 0, max_count * sizeof(nic_address_t));
 	size_t address_count = 0;
-	
+
 	errno_t rc = nic_iface->blocked_sources_get(dev, max_count, address_list,
 	    &address_count);
-	
+
 	if ((rc != EOK) || (max_count == 0) || (address_count == 0)) {
 		async_answer_1(callid, rc, address_count);
@@ -1972,5 +1972,5 @@
 		return;
 	}
-	
+
 	ipc_callid_t data_callid;
 	size_t max_len;
@@ -1981,14 +1981,14 @@
 		return;
 	}
-	
+
 	if (max_len > address_count * sizeof(nic_address_t))
 		max_len = address_count * sizeof(nic_address_t);
-	
+
 	if (max_len > max_count * sizeof(nic_address_t))
 		max_len = max_count * sizeof(nic_address_t);
-	
+
 	async_data_read_finalize(data_callid, address_list, max_len);
 	async_answer_0(data_callid, EINVAL);
-	
+
 	free(address_list);
 	async_answer_1(callid, rc, address_count);
@@ -1999,9 +1999,9 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	size_t length;
 	size_t address_count = IPC_GET_ARG2(*call);
 	nic_address_t *address_list = NULL;
-	
+
 	if (address_count) {
 		ipc_callid_t data_callid;
@@ -2011,5 +2011,5 @@
 			return;
 		}
-		
+
 		if (length != address_count * sizeof(nic_address_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -2017,5 +2017,5 @@
 			return;
 		}
-		
+
 		address_list = malloc(length);
 		if (address_list == NULL) {
@@ -2024,5 +2024,5 @@
 			return;
 		}
-		
+
 		if (async_data_write_finalize(data_callid, address_list,
 		    length) != EOK) {
@@ -2032,5 +2032,5 @@
 		}
 	}
-	
+
 	if (nic_iface->blocked_sources_set != NULL) {
 		errno_t rc = nic_iface->blocked_sources_set(dev, address_list,
@@ -2039,5 +2039,5 @@
 	} else
 		async_answer_0(callid, ENOTSUP);
-	
+
 	free(address_list);
 }
@@ -2051,8 +2051,8 @@
 		return;
 	}
-	
+
 	nic_vlan_mask_t vlan_mask;
 	memset(&vlan_mask, 0, sizeof(nic_vlan_mask_t));
-	
+
 	errno_t rc = nic_iface->vlan_get_mask(dev, &vlan_mask);
 	if (rc == EOK) {
@@ -2064,5 +2064,5 @@
 			return;
 		}
-		
+
 		if (max_len != sizeof(nic_vlan_mask_t)) {
 			async_answer_0(data_callid, EINVAL);
@@ -2070,8 +2070,8 @@
 			return;
 		}
-		
+
 		async_data_read_finalize(data_callid, &vlan_mask, max_len);
 	}
-	
+
 	async_answer_0(callid, rc);
 }
@@ -2081,9 +2081,9 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	nic_vlan_mask_t vlan_mask;
 	nic_vlan_mask_t *vlan_mask_pointer = NULL;
 	bool vlan_mask_set = (bool) IPC_GET_ARG2(*call);
-	
+
 	if (vlan_mask_set) {
 		ipc_callid_t data_callid;
@@ -2094,5 +2094,5 @@
 			return;
 		}
-		
+
 		if (length != sizeof(nic_vlan_mask_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -2100,5 +2100,5 @@
 			return;
 		}
-		
+
 		if (async_data_write_finalize(data_callid, &vlan_mask,
 		    length) != EOK) {
@@ -2106,8 +2106,8 @@
 			return;
 		}
-		
+
 		vlan_mask_pointer = &vlan_mask;
 	}
-	
+
 	if (nic_iface->vlan_set_mask != NULL) {
 		errno_t rc = nic_iface->vlan_set_mask(dev, vlan_mask_pointer);
@@ -2121,14 +2121,14 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	if (nic_iface->vlan_set_tag == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	uint16_t tag = (uint16_t) IPC_GET_ARG2(*call);
 	bool add = (int) IPC_GET_ARG3(*call);
 	bool strip = (int) IPC_GET_ARG4(*call);
-	
+
 	errno_t rc = nic_iface->vlan_set_tag(dev, tag, add, strip);
 	async_answer_0(callid, rc);
@@ -2139,8 +2139,8 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	int send_data = (int) IPC_GET_ARG3(*call);
 	ipc_callid_t data_callid;
-	
+
 	if (nic_iface->wol_virtue_add == NULL) {
 		if (send_data) {
@@ -2148,11 +2148,11 @@
 			async_answer_0(data_callid, ENOTSUP);
 		}
-		
-		async_answer_0(callid, ENOTSUP);
-	}
-	
+
+		async_answer_0(callid, ENOTSUP);
+	}
+
 	size_t length = 0;
 	void *data = NULL;
-	
+
 	if (send_data) {
 		if (!async_data_write_receive(&data_callid, &length)) {
@@ -2161,5 +2161,5 @@
 			return;
 		}
-		
+
 		data = malloc(length);
 		if (data == NULL) {
@@ -2168,5 +2168,5 @@
 			return;
 		}
-		
+
 		if (async_data_write_finalize(data_callid, data,
 		    length) != EOK) {
@@ -2176,8 +2176,8 @@
 		}
 	}
-	
+
 	nic_wv_id_t id = 0;
 	nic_wv_type_t type = (nic_wv_type_t) IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = nic_iface->wol_virtue_add(dev, type, data, length, &id);
 	async_answer_1(callid, rc, (sysarg_t) id);
@@ -2189,12 +2189,12 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	if (nic_iface->wol_virtue_remove == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	nic_wv_id_t id = (nic_wv_id_t) IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = nic_iface->wol_virtue_remove(dev, id);
 	async_answer_0(callid, rc);
@@ -2205,10 +2205,10 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	if (nic_iface->wol_virtue_probe == NULL) {
 		async_answer_0(callid, ENOTSUP);
 		return;
 	}
-	
+
 	nic_wv_id_t id = (nic_wv_id_t) IPC_GET_ARG2(*call);
 	size_t max_length = IPC_GET_ARG3(*call);
@@ -2217,5 +2217,5 @@
 	ipc_callid_t data_callid;
 	void *data = NULL;
-	
+
 	if (max_length != 0) {
 		data = malloc(max_length);
@@ -2225,10 +2225,10 @@
 		}
 	}
-	
+
 	memset(data, 0, max_length);
-	
+
 	errno_t rc = nic_iface->wol_virtue_probe(dev, id, &type, max_length,
 	    data, &length);
-	
+
 	if ((max_length != 0) && (length != 0)) {
 		size_t req_length;
@@ -2239,14 +2239,14 @@
 			return;
 		}
-		
+
 		if (req_length > length)
 			req_length = length;
-		
+
 		if (req_length > max_length)
 			req_length = max_length;
-		
+
 		async_data_read_finalize(data_callid, data, req_length);
 	}
-	
+
 	async_answer_2(callid, rc, (sysarg_t) type, (sysarg_t) length);
 	free(data);
@@ -2261,5 +2261,5 @@
 		return;
 	}
-	
+
 	nic_wv_type_t type = (nic_wv_type_t) IPC_GET_ARG2(*call);
 	size_t max_count = IPC_GET_ARG3(*call);
@@ -2267,5 +2267,5 @@
 	nic_wv_id_t *id_list = NULL;
 	ipc_callid_t data_callid;
-	
+
 	if (max_count != 0) {
 		id_list = malloc(max_count * sizeof(nic_wv_id_t));
@@ -2275,10 +2275,10 @@
 		}
 	}
-	
+
 	memset(id_list, 0, max_count * sizeof (nic_wv_id_t));
-	
+
 	errno_t rc = nic_iface->wol_virtue_list(dev, type, max_count, id_list,
 	    &count);
-	
+
 	if ((max_count != 0) && (count != 0)) {
 		size_t req_length;
@@ -2289,14 +2289,14 @@
 			return;
 		}
-		
+
 		if (req_length > count * sizeof(nic_wv_id_t))
 			req_length = count * sizeof(nic_wv_id_t);
-		
+
 		if (req_length > max_count * sizeof(nic_wv_id_t))
 			req_length = max_count * sizeof(nic_wv_id_t);
-		
+
 		rc = async_data_read_finalize(data_callid, id_list, req_length);
 	}
-	
+
 	async_answer_1(callid, rc, (sysarg_t) count);
 	free(id_list);
@@ -2311,8 +2311,8 @@
 		return;
 	}
-	
+
 	int count = -1;
 	nic_wv_type_t type = (nic_wv_type_t) IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = nic_iface->wol_virtue_get_caps(dev, type, &count);
 	async_answer_1(callid, rc, (sysarg_t) count);
@@ -2327,10 +2327,10 @@
 		return;
 	}
-	
+
 	size_t max_length = (size_t) IPC_GET_ARG2(*call);
 	size_t frame_length = 0;
 	nic_wv_type_t type = NIC_WV_NONE;
 	uint8_t *data = NULL;
-	
+
 	if (max_length != 0) {
 		data = malloc(max_length);
@@ -2340,7 +2340,7 @@
 		}
 	}
-	
+
 	memset(data, 0, max_length);
-	
+
 	errno_t rc = nic_iface->wol_load_info(dev, &type, max_length, data,
 	    &frame_length);
@@ -2354,10 +2354,10 @@
 			return;
 		}
-		
+
 		req_length = req_length > max_length ? max_length : req_length;
 		req_length = req_length > frame_length ? frame_length : req_length;
 		async_data_read_finalize(data_callid, data, req_length);
 	}
-	
+
 	async_answer_2(callid, rc, (sysarg_t) type, (sysarg_t) frame_length);
 	free(data);
@@ -2372,8 +2372,8 @@
 		return;
 	}
-	
+
 	uint32_t supported = 0;
 	uint32_t active = 0;
-	
+
 	errno_t rc = nic_iface->offload_probe(dev, &supported, &active);
 	async_answer_2(callid, rc, supported, active);
@@ -2388,8 +2388,8 @@
 		return;
 	}
-	
+
 	uint32_t mask = (uint32_t) IPC_GET_ARG2(*call);
 	uint32_t active = (uint32_t) IPC_GET_ARG3(*call);
-	
+
 	errno_t rc = nic_iface->offload_set(dev, mask, active);
 	async_answer_0(callid, rc);
@@ -2404,5 +2404,5 @@
 		return;
 	}
-	
+
 	nic_poll_mode_t mode = NIC_POLL_IMMEDIATE;
 	int request_data = IPC_GET_ARG2(*call);
@@ -2411,10 +2411,10 @@
 		.tv_usec = 0
 	};
-	
+
 	errno_t rc = nic_iface->poll_get_mode(dev, &mode, &period);
 	if ((rc == EOK) && (request_data)) {
 		size_t max_len;
 		ipc_callid_t data_callid;
-		
+
 		if (!async_data_read_receive(&data_callid, &max_len)) {
 			async_answer_0(data_callid, EINVAL);
@@ -2422,5 +2422,5 @@
 			return;
 		}
-		
+
 		if (max_len != sizeof(struct timeval)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -2428,9 +2428,9 @@
 			return;
 		}
-		
+
 		async_data_read_finalize(data_callid, &period,
 		    sizeof(struct timeval));
 	}
-	
+
 	async_answer_1(callid, rc, (sysarg_t) mode);
 }
@@ -2440,5 +2440,5 @@
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
-	
+
 	nic_poll_mode_t mode = IPC_GET_ARG2(*call);
 	int has_period = IPC_GET_ARG3(*call);
@@ -2446,5 +2446,5 @@
 	struct timeval *period = NULL;
 	size_t length;
-	
+
 	if (has_period) {
 		ipc_callid_t data_callid;
@@ -2454,5 +2454,5 @@
 			return;
 		}
-		
+
 		if (length != sizeof(struct timeval)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -2460,5 +2460,5 @@
 			return;
 		}
-		
+
 		period = &period_buf;
 		if (async_data_write_finalize(data_callid, period,
@@ -2468,5 +2468,5 @@
 		}
 	}
-	
+
 	if (nic_iface->poll_set_mode != NULL) {
 		errno_t rc = nic_iface->poll_set_mode(dev, mode, period);
@@ -2484,5 +2484,5 @@
 		return;
 	}
-	
+
 	errno_t rc = nic_iface->poll_now(dev);
 	async_answer_0(callid, rc);
